Index: util/romcc/tests/raminit_test6.c
===================================================================
--- util/romcc/tests/raminit_test6.c	(revision 3942)
+++ util/romcc/tests/raminit_test6.c	(working copy)
@@ -381,12 +381,12 @@
 static void console_init(void)
 {
 	static const char console_test[] = 
-		"\r\n\r\nLinuxBIOS-"
+		"\n\nLinuxBIOS-"
 		"1.1.4"  
 		".0Fallback"  
 		" "
 		"Thu Oct 9 20:29:48 MDT 2003"  
-		" starting...\r\n";
+		" starting...\n";
 	print_info(console_test);
 }
 static void die(const char *str)
@@ -419,7 +419,7 @@
 	print_debug_hex32(start);
 	print_debug("-");
 	print_debug_hex32(stop);
-	print_debug("\r\n");
+	print_debug("\n");
 	for(addr = start; addr < stop ; addr += 4) {
 		 
 		if (!(addr & 0xffff)) {
@@ -430,7 +430,7 @@
 	};
 	 
 	print_debug_hex32(addr);
-	print_debug("\r\nDRAM filled\r\n");
+	print_debug("\nDRAM filled\n");
 }
 static void ram_verify(unsigned long start, unsigned long stop)
 {
@@ -440,7 +440,7 @@
 	print_debug_hex32(start);
 	print_debug_char('-');
 	print_debug_hex32(stop);
-	print_debug("\r\n");
+	print_debug("\n");
 	for(addr = start; addr < stop ; addr += 4) {
 		unsigned long value;
 		 
@@ -454,12 +454,12 @@
 			print_err_hex32(addr);
 			print_err_char(':');
 			print_err_hex32(value);
-			print_err("\r\n");
+			print_err("\n");
 		}
 	}
 	 
 	print_debug_hex32(addr);
-	print_debug("\r\nDRAM verified\r\n");
+	print_debug("\nDRAM verified\n");
 }
 void ram_check(unsigned long start, unsigned long stop)
 {
@@ -469,10 +469,10 @@
 	print_debug_hex32(start);
 	print_debug("-");	
 	print_debug_hex32(stop);
-	print_debug("\r\n");
+	print_debug("\n");
 	ram_fill(start, stop);
 	ram_verify(start, stop);
-	print_debug("Done.\r\n");
+	print_debug("Done.\n");
 }
 static int enumerate_ht_chain(unsigned link)
 {
@@ -524,10 +524,10 @@
 	device_t dev;
 	dev = pci_locate_device(((((  0x746b ) & 0xFFFF) << 16) | (( 0x1022 ) & 0xFFFF)) , 0);
 	if (dev == (0xffffffffU) ) {
-		die("SMBUS controller not found\r\n");
+		die("SMBUS controller not found\n");
 	}
 	uint8_t enable;
-	print_debug("SMBus controller enabled\r\n");
+	print_debug("SMBus controller enabled\n");
 	pci_write_config32(dev, 0x58, 0x0f00  | 1);
 	enable = pci_read_config8(dev, 0x41);
 	pci_write_config8(dev, 0x41, enable | (1 << 7));
@@ -743,14 +743,14 @@
 			continue;
 		}
 		print_debug_pci_dev(dev);
-		print_debug("\r\n");
+		print_debug("\n");
 	}
 }
 static void dump_pci_device(unsigned dev)
 {
 	int i;
 	print_debug_pci_dev(dev);
-	print_debug("\r\n");
+	print_debug("\n");
 	
 	for(i = 0; i <= 255; i++) {
 		unsigned char val;
@@ -762,7 +762,7 @@
 		print_debug_char(' ');
 		print_debug_hex8(val);
 		if ((i & 0x0f) == 0x0f) {
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 	}
 }
@@ -785,7 +785,7 @@
 static void dump_spd_registers(const struct mem_controller *ctrl)
 {
 	int i;
-	print_debug("\r\n");
+	print_debug("\n");
 	for(i = 0; i < 4; i++) {
 		unsigned device;
 		device = ctrl->channel0[i];
@@ -799,20 +799,20 @@
 				int status;
 				unsigned char byte;
 				if ((j & 0xf) == 0) {
-					print_debug("\r\n");
+					print_debug("\n");
 					print_debug_hex8(j);
 					print_debug(": ");
 				}
 				status = smbus_read_byte(device, j);
 				if (status < 0) {
-					print_debug("bad device\r\n");
+					print_debug("bad device\n");
 					break;
 				}
 				byte = status & 0xff;
 				print_debug_hex8(byte);
 				print_debug_char(' ');
 			}
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 		device = ctrl->channel1[i];
 		if (device) {
@@ -825,20 +825,20 @@
 				int status;
 				unsigned char byte;
 				if ((j & 0xf) == 0) {
-					print_debug("\r\n");
+					print_debug("\n");
 					print_debug_hex8(j);
 					print_debug(": ");
 				}
 				status = smbus_read_byte(device, j);
 				if (status < 0) {
-					print_debug("bad device\r\n");
+					print_debug("bad device\n");
 					break;
 				}
 				byte = status & 0xff;
 				print_debug_hex8(byte);
 				print_debug_char(' ');
 			}
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 	}
 }
@@ -893,7 +893,7 @@
 		{ 0x00010404, 0x00050101 }
 	};
 	if(maxnodes>2) {
-		print_debug("this mainboard is only designed for 2 cpus\r\n");
+		print_debug("this mainboard is only designed for 2 cpus\n");
 		maxnodes=2;
 	}
 	if (!(node>=maxnodes || row>=maxnodes)) {
@@ -935,7 +935,7 @@
 static void setup_resource_map(const unsigned int *register_values, int max)
 {
 	int i;
-	print_debug("setting up resource map....\r\n");
+	print_debug("setting up resource map....\n");
 	for(i = 0; i < max; i += 3) {
 		device_t dev;
 		unsigned where;
@@ -947,7 +947,7 @@
 		reg |= register_values[i+2];
 		pci_write_config32(dev, where, reg);
 	}
-	print_debug("done.\r\n");
+	print_debug("done.\n");
 }
 static void setup_default_resource_map(void)
 {
@@ -1084,7 +1084,7 @@
 	int max;
 	print_debug("setting up CPU");
 	print_debug_hex8(ctrl->node_id);
-	print_debug(" northbridge registers\r\n");
+	print_debug(" northbridge registers\n");
 	max = sizeof(register_values)/sizeof(register_values[0]);
 	for(i = 0; i < max; i += 3) {
 		device_t dev;
@@ -1097,7 +1097,7 @@
 		reg |= register_values[i+2];
 		pci_write_config32(dev, where, reg);
 	}
-	print_debug("done.\r\n");
+	print_debug("done.\n");
 }
 static int is_dual_channel(const struct mem_controller *ctrl)
 {
@@ -1258,7 +1258,7 @@
 	 
 	print_debug("RAM: 0x");
 	print_debug_hex32(tom_k);
-	print_debug(" KB\r\n");
+	print_debug(" KB\n");
 	 
 	msr_t msr;
 	msr.lo = (tom_k & 0x003fffff) << 10;
@@ -1321,7 +1321,7 @@
 	}
 	 
 	if ((bits == 3) && (common_size == (1 << (32 - 3)))) {
-		print_debug("8 4GB chip selects cannot be interleaved\r\n");
+		print_debug("8 4GB chip selects cannot be interleaved\n");
 		return 0;
 	}
 	 
@@ -1346,7 +1346,7 @@
 		csbase += csbase_inc;
 	}
 	
-	print_debug("Interleaved\r\n");
+	print_debug("Interleaved\n");
 	 
 	return common_size << (15 + bits);
 }
@@ -1437,7 +1437,7 @@
 {
 	print_debug("disabling dimm"); 
 	print_debug_hex8(index); 
-	print_debug("\r\n");
+	print_debug("\n");
 	pci_write_config32(ctrl->f2, 0x40  + (((index << 1)+0)<<2), 0);
 	pci_write_config32(ctrl->f2, 0x40  + (((index << 1)+1)<<2), 0);
 }
@@ -1534,7 +1534,7 @@
 			}
 		}
 	}
-	print_debug("Enabling dual channel memory\r\n");
+	print_debug("Enabling dual channel memory\n");
 	uint32_t dcl;
 	dcl = pci_read_config32(ctrl->f2, 0x90 );
 	dcl &= ~(1<<19) ;
@@ -1555,7 +1555,7 @@
 {
 	static const struct mem_param speed[] = {
 		{
-			.name	    = "100Mhz\r\n",
+			.name	    = "100Mhz\n",
 			.cycle_time = 0xa0,
 			.divisor    = (10 <<1),
 			.tRC	    = 0x46,
@@ -1566,7 +1566,7 @@
 			.dtl_twr    = 2,
 		},
 		{
-			.name	    = "133Mhz\r\n",
+			.name	    = "133Mhz\n",
 			.cycle_time = 0x75,
 			.divisor    = (7<<1)+1,
 			.tRC	    = 0x41,
@@ -1577,7 +1577,7 @@
 			.dtl_twr    = 2,
 		},
 		{
-			.name	    = "166Mhz\r\n",
+			.name	    = "166Mhz\n",
 			.cycle_time = 0x60,
 			.divisor    = (6<<1),
 			.tRC	    = 0x3C,
@@ -1588,7 +1588,7 @@
 			.dtl_twr    = 3,
 		},
 		{
-			.name	    = "200Mhz\r\n",
+			.name	    = "200Mhz\n",
 			.cycle_time = 0x50,
 			.divisor    = (5<<1),
 			.tRC	    = 0x37,
@@ -2253,7 +2253,7 @@
 		dcl = pci_read_config32(ctrl[i].f2, 0x90 );
 		if (dcl & (1<<17) ) {
 			uint32_t mnc;
-			print_debug("ECC enabled\r\n");
+			print_debug("ECC enabled\n");
 			mnc = pci_read_config32(ctrl[i].f3, 0x44 );
 			mnc |= (1 << 22) ;
 			if (dcl & (1<<16) ) {
@@ -2282,9 +2282,9 @@
 			}
 		} while(((dcl & (1<<8) ) != 0) && (loops < 300000 ));
 		if (loops >= 300000 ) {
-			print_debug(" failed\r\n");
+			print_debug(" failed\n");
 		} else {
-			print_debug(" done\r\n");
+			print_debug(" done\n");
 		}
 		if (dcl & (1<<17) ) {
 			print_debug("Clearing memory: ");
@@ -2312,7 +2312,7 @@
 			print_debug_hex32(zstart);
 			print_debug("-");
 			print_debug_hex32(zend);
-			print_debug("\r\n");
+			print_debug("\n");
 			
 			 
 			msr = rdmsr(0x2ff );
@@ -2410,7 +2410,7 @@
 			 
 			pci_write_config32(ctrl[i].f3, 0x58 , 
 				(22  << 16) | (22  << 8) | (22  << 0));
-			print_debug("done\r\n");
+			print_debug("done\n");
 		}
 	}
 }
@@ -2431,7 +2431,7 @@
 	val=pci_read_config32(( ((( 0 ) & 0xFF) << 16) | ((( 24+ 0  ) & 0x1f) << 11) | ((( 0 )  & 0x7) << 8))  , 0x68);
 	val |= (1<<10)|(1<<9)|(1<<8)|(1<<4)|(1<<3)|(1<<2)|(1<<1)|(1 << 0);
 	pci_write_config32(( ((( 0 ) & 0xFF) << 16) | ((( 24+ 0  ) & 0x1f) << 11) | ((( 0 )  & 0x7) << 8))  , 0x68, val);
-	print_debug("done.\r\n");
+	print_debug("done.\n");
 }
  
 static void wait_ap_stop(u8 node) 
@@ -2478,7 +2478,7 @@
 		wait_ap_stop(node);
 	}
  
-	print_debug(" done.\r\n");
+	print_debug(" done.\n");
 }
 static void rename_temp_node(u8 node)
 {
@@ -2489,7 +2489,7 @@
 	val &= (~7);   
         val |= node;    
 	pci_write_config32(( ((( 0 ) & 0xFF) << 16) | ((( 24+ 7  ) & 0x1f) << 11) | ((( 0 )  & 0x7) << 8))  , 0x60, val);
-	print_debug(" done.\r\n");
+	print_debug(" done.\n");
 }
 static bool check_connection(u8 src, u8 dest, u8 link)
 {
@@ -2582,7 +2582,7 @@
 	};
 	uint8_t row;
 	int i;
-	print_debug("setup_remote_node\r\n");
+	print_debug("setup_remote_node\n");
 	for(row=0; row<cpus; row++)
 		setup_remote_row(node, row, cpus);
 	 
@@ -2593,24 +2593,24 @@
 		value = pci_read_config32(( ((( 0 ) & 0xFF) << 16) | ((( 24+ 0  ) & 0x1f) << 11) | ((( 1 )  & 0x7) << 8))  , reg);
 		pci_write_config32(( ((( 0 ) & 0xFF) << 16) | ((( 24+ 7  ) & 0x1f) << 11) | ((( 1 )  & 0x7) << 8))  , reg, value);
 	}
-	print_debug("setup_remote_done\r\n");
+	print_debug("setup_remote_done\n");
 }
 static u8 setup_uniprocessor(void)
 {
-	print_debug("Enabling UP settings\r\n");
+	print_debug("Enabling UP settings\n");
 	disable_probes();
 	return 1;
 }
 static u8 setup_smp(void)
 {
 	u8 cpus=2;
-	print_debug("Enabling SMP settings\r\n");
+	print_debug("Enabling SMP settings\n");
 	setup_row(0,0,cpus);
 	 
 	setup_temp_row(0,1,cpus);
 	
 	if (!check_connection(0, 7, 0x20  )) {
-		print_debug("No connection to Node 1.\r\n");
+		print_debug("No connection to Node 1.\n");
 		fill_row( 0 ,7,0x00010101 ) ;	 
 		setup_uniprocessor();	 
 		return 1;
@@ -2625,7 +2625,7 @@
 	fill_row( 0 ,7,0x00010101 ) ;	 
 	
 	print_debug_hex32(cpus);
-	print_debug(" nodes initialized.\r\n");
+	print_debug(" nodes initialized.\n");
 	return cpus;
 }
 static unsigned detect_mp_capabilities(unsigned cpus)
@@ -2634,7 +2634,7 @@
 	bool mp_cap= (-1) ;
 	print_debug("detect_mp_capabilities: ");
 	print_debug_hex32(cpus);
-	print_debug("\r\n");
+	print_debug("\n");
 	if (cpus>2)
 		mask=0x06;	 
 	else
@@ -2646,7 +2646,7 @@
 	if (mp_cap)
 		return cpus;
 	 
-	print_debug("One of the CPUs is not MP capable. Going back to UP\r\n");
+	print_debug("One of the CPUs is not MP capable. Going back to UP\n");
 	for (node=cpus; node>0; node--)
 	    for (row=cpus; row>0; row--)
 		fill_row(( ((( 0 ) & 0xFF) << 16) | ((( 24+ node-1  ) & 0x1f) << 11) | ((( 0 )  & 0x7) << 8))  , row-1, 0x00010101 );
@@ -2659,7 +2659,7 @@
 	bool rev_a0;
 	
 	 
-	print_debug("coherent_ht_finalize\r\n");
+	print_debug("coherent_ht_finalize\n");
 	rev_a0= is_cpu_rev_a0();
 	for (node=0; node<cpus; node++) {
 		u32 val;
@@ -2676,7 +2676,7 @@
 			pci_write_config32(( ((( 0 ) & 0xFF) << 16) | ((( 24+ node  ) & 0x1f) << 11) | ((( 0 )  & 0x7) << 8))  ,0xd4,0);
 		}
 	}
-	print_debug("done\r\n");
+	print_debug("done\n");
 }
 static int setup_coherent_ht_domain(void)
 {
@@ -2692,7 +2692,7 @@
 }
 void sdram_no_memory(void)
 {
-	print_err("No memory!!\r\n");
+	print_err("No memory!!\n");
 	while(1) { 
 		hlt(); 
 	}
@@ -2705,20 +2705,20 @@
 	for(i = 0; i < controllers; i++) {
 		print_debug("Ram1.");
 		print_debug_hex8(i);
-		print_debug("\r\n");
+		print_debug("\n");
 		sdram_set_registers(ctrl + i);
 	}
 	 
 	for(i = 0; i < controllers; i++) {
 		print_debug("Ram2.");
 		print_debug_hex8(i);
-		print_debug("\r\n");
+		print_debug("\n");
 		sdram_set_spd_registers(ctrl + i);
 	}
 	 
-	print_debug("Ram3\r\n");
+	print_debug("Ram3\n");
 	sdram_enable(controllers, ctrl);
-	print_debug("Ram4\r\n");
+	print_debug("Ram4\n");
 }
 static void enable_lapic(void)
 {
Index: util/romcc/tests/simple_test23.c
===================================================================
--- util/romcc/tests/simple_test23.c	(revision 3942)
+++ util/romcc/tests/simple_test23.c	(working copy)
@@ -13,6 +13,6 @@
 
 static void main(void)
 {
-	print("hello world\r\n");
-	print("how are you today\r\n");
+	print("hello world\n");
+	print("how are you today\n");
 }
